%define oname   allison

Name:       ruby-%{oname}
Version:    2.0.3
Release:    %mkrel 1
Summary:    A modern, pretty RDoc template
License:    AFL
Group:      Development/Ruby
URL:        http://blog.evanweaver.com/pages/code#allison
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A modern, pretty RDoc template.

%files
%defattr(-, root, root, -)
%{_bindir}/allison
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 2.0.3-1.mga1
+ Revision: 86500
- imported package ruby-allison


* Sat Apr 16 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.0.3-1
- Initial package
